Delete driver assignments that were created using the POST fleet/driver-vehicle-assignments endpoint for the requested vehicle in the requested time range.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Assignments under the Assignments category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request DELETE \
--url https://api.samsara.com/fleet/driver-vehicle-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicleId": "281474978683353",
"assignedAtTime": "2019-06-13T19:08:25Z",
"endTime": "2019-06-13T19:08:25Z",
"isPassenger": true,
"startTime": "2019-06-13T19:08:25Z"
}
'This response has no body data.Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Driver assignments to be deleted
ID of the vehicle. This can be either a unique Samsara ID or an external ID for the vehicle.
"281474978683353"
Assigned at time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
An end time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
Indicates if assigned driver is passenger
true
A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
curl --request DELETE \
--url https://api.samsara.com/fleet/driver-vehicle-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicleId": "281474978683353",
"assignedAtTime": "2019-06-13T19:08:25Z",
"endTime": "2019-06-13T19:08:25Z",
"isPassenger": true,
"startTime": "2019-06-13T19:08:25Z"
}
'This response has no body data.